hpp-corbaserver: hpp::core_idl::steeringMethod_idl::SplineBernstein3 Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core_idl::steeringMethod_idl::SplineBernstein3 Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/steering_methods.idl;`

Inheritance diagram for hpp::core_idl::steeringMethod_idl::SplineBernstein3:
[legend]
Collaboration diagram for hpp::core_idl::steeringMethod_idl::SplineBernstein3:
[legend]

## Public Member Functions
Path | steer (in floatSeq q1, in intSeq order1, in floatSeqSeq derivatives1, in floatSeq q2, in intSeq order2, in floatSeqSeq derivatives2, in float length) raises (Error)
Path | steerSE3 (in floatSeq q1, in intSeq order1, in floatSeqSeq derivatives1, in floatSeq q2, in intSeq order2, in floatSeqSeq derivatives2, in float length) raises (Error)
Public Member Functions inherited from hpp::core_idl::SteeringMethod
Path | call (in floatSeq q1, in floatSeq q2) raises (Error)
void | setConstraints (in ConstraintSet constraints) raises (Error)
Constraint | getConstraints () raises (Error)

## Member Function Documentation

## ◆ steer()

Path hpp::core_idl::steeringMethod_idl::SplineBernstein3::steer | ( | in floatSeq | q1,
|  | in intSeq | order1,
|  | in floatSeqSeq | derivatives1,
|  | in floatSeq | q2,
|  | in intSeq | order2,
|  | in floatSeqSeq | derivatives2,
|  | in float | length
| ) |  |
raises | ( | Error
| ) |  |

## ◆ steerSE3()

Path hpp::core_idl::steeringMethod_idl::SplineBernstein3::steerSE3 | ( | in floatSeq | q1,
|  | in intSeq | order1,
|  | in floatSeqSeq | derivatives1,
|  | in floatSeq | q2,
|  | in intSeq | order2,
|  | in floatSeqSeq | derivatives2,
|  | in float | length
| ) |  |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/steering_methods.idl